﻿using Lumina.Data;
using Lumina.Excel;
using Lumina.Text;

namespace HUD_Manager.Lumina {
    [Sheet("Hud")]
    public class HudSheet : ExcelRow {
        public SeString Name { get; set; } = null!;
        public SeString ShortName { get; set; } = null!;
        public SeString ShorterName { get; set; } = null!;

        public override void PopulateData(RowParser parser, global::Lumina.GameData lumina, Language language) {
            this.RowId = parser.Row;
            this.SubRowId = parser.SubRow;
            this.Name = parser.ReadColumn<SeString>(0)!;
            this.ShortName = parser.ReadColumn<SeString>(1)!;
            this.ShorterName = parser.ReadColumn<SeString>(2)!;

            this.SheetLanguage = language;
            this.SheetName = parser.Sheet.Name;
        }
    }
}
